#include<iostream>
#include<conio.h>
using namespace std;
class VarClass
{
	private :
		double SumSigma1, SumSigma2, xi, V;
		int i;
	public :
		int n;
		VarClass()
		{
			SumSigma1 = 0;
			SumSigma2 = 0;
		}
		double Calculate()
		{
			for(i = 0; i < n; i++)
			{
				cin >> xi;
				SumSigma1 += xi;
				SumSigma2 += xi * xi;
			}
			V = SumSigma2 / n - (SumSigma1 / n) * (SumSigma1 / n);
		}
		double GetV()
		{
			return V;
		}
};

int main()
{
	VarClass A;
	cout << "Tedade aedad Vorodi ra vared konid : ";
	cin >> A.n;
	cout << "be tedade " << A.n << " adad vared konid : ";
	A.Calculate();
	cout << "V = " << A.GetV() << endl;
	getch();
}

